<template>
  <section class="container">
    <TimeLine :timelines="timelines" :profile="profile"/>
  </section>
</template>

<script>
import cv from "~/assets/cv.json";
import _ from "lodash";
import Profile from "~/components/profile/Profile.vue";
import TimeLine from "~/components/timeline/TimeLine.vue";
export default {
  components: {
    TimeLine
  },
  computed: {
    timelines() {
      return _.reverse(cv.timelines);
    },
    profile() {
      return cv.profile;
    },
    src: function() {
      return `@/assets/raiffeisen.svg`;
    }
  }
};
</script>

<style scoped lang="scss">
@import "~/assets/scss/_variables.scss";
@import "~/assets/scss/_mixins.scss";
html {
}
.container {
  min-height: 100vh;
  background: $primary-color;
  font-family: "Quicksand", "Source Sans Pro", -apple-system, BlinkMacSystemFont,
    "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  display: flex;
  justify-content: center;
  overflow-x: hidden;
	padding: 24px  12px;

  @include respond-to(sm) {
    justify-content: flex-start;
  }
}
</style>

